/*
 * Copyright (c) 2005-2006 Tom N Harris.
 *
 *     This program is free software; you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation; either version 2 of the License, or
 *     (at your option) any later version.
 *
 *     A copy of the GNU General Public License can be found at
 *     http://www.gnu.org/
 *
 * Written by Tom N Harris <telliamed@whoopdedo.org>
 *
 */

#include "Finish.h"
#include "PropSheet.h"
#include "resource.h"

using namespace Setup;

bool
InstallSuccessPage::create()
{
	return PropertyPage::create(IDD_INSTALLDONE);
}

void
InstallSuccessPage::onActivate()
{
	getOwner()->setFinish();
}

bool
InstallNothingPage::create()
{
	return PropertyPage::create(IDD_INSTALLNOTHING);
}

void
InstallNothingPage::onActivate()
{
	getOwner()->setFinish();
}

bool
InstallFailPage::create()
{
	return PropertyPage::create(IDD_INSTALLCANCEL);
}

void
InstallFailPage::onActivate()
{
	getOwner()->setFinish();
}
